## org.apache.lucene.spatial.tier
Class CartesianShapeFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.spatial.tier.CartesianShapeFilter

All Implemented Interfaces:
  Serializable

Deprecated.

    @Deprecated
    public class CartesianShapeFilter

extends Filter

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Method Summary
`DocIdSet` `getDocIdSet(IndexReader reader)` Deprecated. Creates a `DocIdSet` enumerating the documents that should be permitted in search results.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws IOException

  Deprecated.
  Description copied from class: `Filter`
  Creates a `DocIdSet` enumerating the documents that should be permitted in search results. NOTE: null can be returned if no documents are accepted by this Filter.

  Note: This method will be called once per segment in the index during searching. The returned `DocIdSet` must refer to document IDs for that segment, not for the top-level reader.

  Specified by:
    `getDocIdSet` in class `Filter`
  Parameters:
    `reader` - a `IndexReader` instance opened on the index currently searched on. Note, it is likely that the provided reader does not represent the whole underlying index i.e. if the index has more than one segment the given reader only represents a single segment.
  Returns:
    a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: null can be returned if no documents will be accepted by this Filter.
  Throws:
    `IOException`
  See Also:
    `DocIdBitSet`